[android-components](../../index.md) / [mozilla.components.browser.storage.sync](../index.md) / [Connection](./index.md)

# Connection

`interface Connection : `[`Closeable`](https://developer.android.com/reference/java/io/Closeable.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/storage-sync/src/main/java/mozilla/components/browser/storage/sync/Connection.kt#L56)

An interface which describes a [Closeable](https://developer.android.com/reference/java/io/Closeable.html) connection that provides access to a [PlacesAPI](#).

### Functions

| Name | Summary |
|---|---|
| [api](api.md) | `abstract fun api(): PlacesAPI` |
